classification
Title: Opening a file in binary mode makes a difference on all platforms in Python 3
Type: Stage: resolved
Components: Documentation Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: bkline, docs@python, eric.smith, miss-islington, xrisk
Priority: normal Keywords: newcomer friendly, patch

Created on 2020-07-27 15:21 by bkline, last changed 2020-08-14 01:58 by eric.smith. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 21701 merged xrisk, 2020-08-02 06:11
PR 21873 merged miss-islington, 2020-08-14 01:33
PR 21874 merged miss-islington, 2020-08-14 01:33
PR 21875 closed miss-islington, 2020-08-14 01:33
Messages (6)
msg374385 - (view) Author: Bob Kline (bkline) * Date: 2020-07-27 15:21
The documentation for tempfile.mkstemp() says "If text is specified, it indicates whether to open the file in binary mode (the default) or text mode. On some platforms, this makes no difference." That might have been true for Python 2.x, but in Python 3, there are no platforms for which the choice whether to open a file in binary mode makes no difference.
msg374528 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2020-07-28 20:56
I think deleting the last sentence is sufficient.
msg374678 - (view) Author: Rishav Kundu (xrisk) * Date: 2020-08-02 06:21
Submitted a PR. Please let me know if I missed something :)
msg375361 - (view) Author: miss-islington (miss-islington) Date: 2020-08-14 01:33
New changeset e55de68be3e5b977a17d3c0ac9805b0feff8fedc by Rishav Kundu in branch 'master':
bpo-41410: Fix outdated info in mkstemp docs (GH-21701)
https://github.com/python/cpython/commit/e55de68be3e5b977a17d3c0ac9805b0feff8fedc
msg375362 - (view) Author: miss-islington (miss-islington) Date: 2020-08-14 01:51
New changeset 2a9f709ba23c8f6aa2bed821aacc4e7baecde383 by Miss Islington (bot) in branch '3.8':
bpo-41410: Fix outdated info in mkstemp docs (GH-21701)
https://github.com/python/cpython/commit/2a9f709ba23c8f6aa2bed821aacc4e7baecde383
msg375363 - (view) Author: miss-islington (miss-islington) Date: 2020-08-14 01:53
New changeset 7c288413db8c2b84dd476b0c8a19f85110d99a2f by Miss Islington (bot) in branch '3.9':
bpo-41410: Fix outdated info in mkstemp docs (GH-21701)
https://github.com/python/cpython/commit/7c288413db8c2b84dd476b0c8a19f85110d99a2f
History
Date User Action Args
2020-08-14 01:58:30eric.smithsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-08-14 01:53:46miss-islingtonsetmessages: + msg375363
2020-08-14 01:51:28miss-islingtonsetmessages: + msg375362
2020-08-14 01:33:46miss-islingtonsetpull_requests: + pull_request21000
2020-08-14 01:33:38miss-islingtonsetpull_requests: + pull_request20999
2020-08-14 01:33:29miss-islingtonsetpull_requests: + pull_request20998
2020-08-14 01:33:17miss-islingtonsetnosy: + miss-islington
messages: + msg375361
2020-08-02 06:21:47xrisksetmessages: + msg374678
2020-08-02 06:11:25xrisksetkeywords: + patch
nosy: + xrisk

pull_requests: + pull_request20844
stage: patch review
2020-07-28 20:56:02eric.smithsetkeywords: + newcomer friendly
nosy: + eric.smith
messages: + msg374528

2020-07-27 15:21:24bklinecreate